Minimizer.cpp File Reference
`#include "stdinc.h"`
`#include "Minimizer.h"`
`#include "TermPredicate.h"`
`#include "Term.h"`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | TreeNode

## Functions

TermIterator | simpleMinimize (TermIterator begin, TermIterator end, size_t varCount)
TermIterator | twoVarMinimize (TermIterator begin, TermIterator end)

## Function Documentation

## simpleMinimize()

TermIterator simpleMinimize | ( | TermIterator | begin,
|  | TermIterator | end,
|  | size_t | varCount )

Definition at line 32 of file Minimizer.cpp.

## twoVarMinimize()

TermIterator twoVarMinimize | ( | TermIterator | begin,
|  | TermIterator | end )

Definition at line 58 of file Minimizer.cpp.